Source: python-yg.lockfile
Section: python
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python-all,
               python-contextlib2,
               python-jaraco.functools,
               python-more-itertools,
               python-setuptools,
               python-setuptools-scm,
               python-tempora,
               python-zc.lockfile,
               python3-all,
               python3-contextlib2,
               python3-jaraco.functools,
               python3-more-itertools,
               python3-setuptools,
               python3-setuptools-scm,
               python3-tempora,
               python3-zc.lockfile,
Standards-Version: 4.0.1
Homepage: https://github.com/yougov/yg.lockfile/
Vcs-Git: https://salsa.debian.org/python-team/packages/yg.lockfile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/yg.lockfile

Package: python-yg.lockfile
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends}
Description: Lockfile object with timeouts and context manager
 A FileLock class that implements a context manager with timeouts on top of
 `zc.lockfile`, an excellent, cross-platorm implementation of file locking.

Package: python3-yg.lockfile
Architecture: any
Depends: python3, ${misc:Depends}, ${python3:Depends}
Description: Lockfile object with timeouts and context manager
 A FileLock class that implements a context manager with timeouts on top of
 `zc.lockfile`, an excellent, cross-platorm implementation of file locking.
